@charset "UTF-8";

/* ==========================================================================
   case-grid.css
   ========================================================================== */

.o-m__case-grid__slider .o-m__case-grid__list {
display: grid;
grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  @media screen and (max-width: 768px) {
    display: flex;
    gap:0;
  }
}

.o-m__case-grid__link {
  display: block;
  text-decoration: none;
  color: inherit;
}

.o-m__case-grid__item {
  background: #fff;
  border-radius: 10px;
  padding: 10px 20px 20px;
  position: relative;
  overflow: hidden;
  text-align: center;
  transition: box-shadow ease 0.3s;
  @media screen and (max-width: 768px) {
    padding: 20px 16px 32px;
  }
}
@media screen and (min-width: 769px) {
  .o-m__case-grid .o-m__case-grid__slider {
    overflow: visible;
  }
}
@media screen and (max-width: 768px) {
  .o-m__case-grid .o-m__case-grid__slider {
    padding-bottom: 54px;
  }
}
@media screen and (min-width: 769px) {
  .o-m__case-grid__item:hover {
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
    transition: box-shadow ease 0.3s;
  }
}
.o-m__case-grid__item::after {
  content: "";
  position: absolute;
  right: -10px;
  bottom: -21px;
  width: 30px;
  height: 58px;
  background: var(--rmeisai-primary);
  transform: rotate(45deg);
  z-index: 1;
}
.o-m__case-grid__item::before {
  content: "";
  position: absolute;
  right: 8px;
  bottom: 8px;
  width: 8px;
  height: 8px;
  border-top: 2px solid #fff;
  border-right: 2px solid #fff;
  transform: rotate(85deg);
  z-index: 2;
}

.o-m__case-grid__logo {
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 8px;
}

.o-m__case-grid__logo img {
  max-width: 160px;
  max-height: 45px;
  width: auto;
  height: auto;
}

.o-m__case-grid__desc {
  font-size: 14px;
  line-height: 1;
  @media screen and (max-width: 768px) {
    font-size: 13px;
  }
}
.o-m__case-grid__arrow {
  display: block;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  background-color: #fff;
  background-image: url('/rakurakucloud/meisai/assets/image/icon/icon_000_arrow.svg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: 24px 24px;
  margin: 0 auto -17px;
  position: relative;
  z-index: 1;
}
.o-m__case-grid__result {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 280px;
  height: 110px;
  background: var(--rmeisai-bg-sub-03);
  border-radius: 10px;
  margin: 0 auto;
  font-size: 22px;
  color: var(--rmeisai-primary);
  line-height: 1.3;
  text-align: center;
  @media screen and (max-width: 1024px) {
    font-size:18px;
    width: 100%;
  }
  @media screen and (max-width: 568px) {
    font-size: 22px;
    width: 100%;
  }
}
.o-m__case-grid__result__text {
  display: block;
  text-align: center;
  line-height: 1.4;
}

.o-m__case-grid__desc_num-large {
  font-size: 38px;
  font-weight: 700;
  position: relative;
  top: 3px;
  @media screen and (max-width: 1024px) {
    font-size: 30px;
  }
  @media screen and (max-width: 568px) {
    font-size: 36px;
  }
}

.o-m__case-grid__slider .o-m__case-grid__pagination {
  display: none;
  @media screen and (max-width: 768px) {
    display: block;
    bottom: 8px;
  }
}

.o-m__case-grid__slider .o-m__case-grid__pagination .swiper-pagination-bullet-active {
  background: var(--rmeisai-primary);
}

.o-m__case-grid__btn-prev,
.o-m__case-grid__btn-next {
  display: none;
  @media screen and (max-width: 768px) {
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 38px;
    height: 38px;
    border-radius: 50%;
    background-color: var(--rmeisai-primary);
    z-index: 10;
    cursor: pointer;
  }
}

.o-m__case-grid__btn-prev {
  @media screen and (max-width: 768px) {
    left: 0;
  }
}

.o-m__case-grid__btn-next {
  @media screen and (max-width: 768px) {
    right: 0;
  }
}

.o-m__case-grid__btn-prev::after,
.o-m__case-grid__btn-next::after {
  @media screen and (max-width: 768px) {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 10px;
    height: 10px;
    border-top: 2px solid #fff;
    border-right: 2px solid #fff;
  }
}

.o-m__case-grid__btn-prev::after {
  @media screen and (max-width: 768px) {
    transform: translateY(-50%) translateX(-30%) rotate(225deg);
  }
}

.o-m__case-grid__btn-next::after {
  @media screen and (max-width: 768px) {
    transform: translateY(-50%) translateX(-70%) rotate(45deg);
  }
}
.o-m__case-grid__desc_num-medium {
  font-size: 24px;
}
.o-m__case-grid__desc_medium {
  font-size: 19px;
}
.o-m__case-grid__desc_line-height_medium {
  line-height: 1.5;
}
.o-m__case-grid__desc_large{
  font-size: 30px;
  font-weight: 700;
  @media screen and (max-width: 1024px) {
    font-size: 22px;
  }
   @media screen and (max-width: 568px) {
    font-size: 28px;
  }
}
@media screen and (max-width: 768px) {
  .o-m__case-grid .f-l__common-inner {
    overflow: hidden;
  }
}

.o-m__case-grid__result__num-line-height{
  line-height: 1;
  top: 3px;
  @media screen and (max-width: 1024px) {
    top: 2px;
  }
}